
Project Sections - Bug #2331

When choose the project section, the wiki module has error

15 Sep 2014 05:17 - stephen r

Status: Won't Fix Start date: 15 Sep 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.1.0   

Redmine version:  External issue:  

Description

1. choose the project section for project

2. the wiki module show error.

Started GET "/redmine/projects/redmine/wiki" for 127.0.0.1 at 2014-09-15 13:06:41 +0800

Processing by WikiController#show as HTML

  Parameters: {"project_id"=>"redmine"}

  Current user: admin (id=1)

  Rendered plugins/redmine_image_clipboard_paste/app/views/wiki/edit.html.erb within layouts/base 

(15.6ms)

Completed 500 Internal Server Error in 31.2ms

ActionView::Template::Error (':parent' is not an ActiveModel-compatible object that returns a vali

d partial path.):

    1: <%= javascript_include_tag 'image_paste.js', :plugin => 'redmine_image_clipboard_paste' %>

    2: <%= render :parent, {:you_can_pass => :locals} %>

  app/controllers/wiki_controller.rb:73:in `show'

History

#1 - 15 Sep 2014 05:26 - stephen r

the boards module show the same message.

Started GET "/redmine/projects/redmine/boards" for 127.0.0.1 at 2014-09-15 13:23:39 +0800

Processing by BoardsController#index as HTML

  Parameters: {"project_id"=>"redmine"}

  Current user: admin (id=1)

  Rendered plugins/redmine_image_clipboard_paste/app/views/boards/show.html.erb within layouts/base (15.6ms)

Completed 500 Internal Server Error in 93.6ms

ActionView::Template::Error (':parent' is not an ActiveModel-compatible object that returns a valid partial pa

th.):

    1: <%= javascript_include_tag 'image_paste.js', :plugin => 'redmine_image_clipboard_paste' %>

    2: <%= render :parent, {:you_can_pass => :locals} %>

  app/controllers/boards_controller.rb:55:in `block (2 levels) in show'

  app/controllers/boards_controller.rb:37:in `show'

  app/controllers/boards_controller.rb:32:in `index'
#2 - 14 Dec 2014 18:04 - Andriy Lesyuk

- Status changed from New to Open

#3 - 14 Dec 2014 18:04 - Andriy Lesyuk

- Target version set to 0.1.0

#4 - 16 Dec 2017 16:43 - Andriy Lesyuk

- Description updated

#5 - 17 Dec 2017 15:53 - Andriy Lesyuk

This, probably, indicates a conflict with the Image Clipboard Paste plugin.

#6 - 17 Dec 2017 15:53 - Andriy Lesyuk

- Subject changed from When choose the project secion,the wiki module has error. to When choose the project section, the wiki module has error

- Description updated

#7 - 22 Dec 2017 14:44 - Andriy Lesyuk

- Status changed from Open to Won't Fix

I guess, this was fixed in Image Clipboard Paste plugin. I installed it and got no errors for Wiki and Forums tabs.

Please reopen this bug, if you still experience the issue under latest version of Project Sections.
